org.apache.maven.scm.provider.clearcase.command.changelog

## Class ClearCaseChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.clearcase.command.changelog.ClearCaseChangeLogCommand

All Implemented Interfaces:
  ChangeLogCommand, Command, ClearCaseCommand

    public class ClearCaseChangeLogCommand
    extends AbstractChangeLogCommand
    implements ClearCaseCommand

Version:
  $Id: ClearCaseChangeLogCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Emmanuel Venisse, Trygve Laugstøl, Frederic Mura, Mark Holster

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ClearCaseChangeLogCommand()`

### Method Summary

Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(File workingDirectory, ScmBranch branch, Date startDate)` ClearCase LT version doesn't support the attribut -fmt and -since for command lhistory.
`protected ChangeLogScmResult` `executeChangeLogCommand(ScmProviderRepository repository, ScmFileSet fileSet, Date startDate, Date endDate, ScmBranch branch, String datePattern)`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeChangeLogCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseChangeLogCommand

    public ClearCaseChangeLogCommand()

### Method Detail

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repository,
                                             ScmFileSet fileSet,
                                             Date startDate,
                                             Date endDate,
                                             ScmBranch branch,
                                             String datePattern)
                                                  throws ScmException

Specified by:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(File workingDirectory,
                                                             ScmBranch branch,
                                                             Date startDate)

ClearCase LT version doesn't support the attribut -fmt and -since for command lhistory.

Parameters:
  `workingDirectory` -
  `branch` -
  `startDate` -
Returns:
  The command line